Cancel order
curl --request POST \
--url https://engine.dojifunded.com/v1/account/{account_id}/orders/{order_id}/cancel \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>'import requests
url = "https://engine.dojifunded.com/v1/account/{account_id}/orders/{order_id}/cancel"
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'X-API-Secret': '<api-key>'}
};
fetch('https://engine.dojifunded.com/v1/account/{account_id}/orders/{order_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "OPEN",
"symbol": "<string>",
"side": "BUY",
"kind": "MARKET",
"quantity": 123,
"price": 123,
"client_id": "<string>"
}{
"error": "unauthorized"
}{
"error": "not_found"
}Orders
Cancel order
Cancels a working order. Returns the final order state. Requires the MANAGE_ORDERS permission scope.
POST
/
account
/
{account_id}
/
orders
/
{order_id}
/
cancel
Cancel order
Authorizations
API key generated at Dashboard, Settings, Developer. Format: doji_ak_...
API secret returned once at key creation. Format: doji_sk_...
Path Parameters
UUID of the account. Must be owned by the authenticated user.
UUID of the order to cancel.
Response
The final order state.

